/**********************************************************************

  regversion.c -  Oniguruma (regular expression library)

  Copyright (C) 2004  K.Kosako (kosako@sofnec.co.jp)

**********************************************************************/
#include "oniguruma.h"
#include <stdio.h>

extern const char*
onig_version(void)
{
  static char s[12];

  sprintf(s, "%d.%d.%d",
          ONIGURUMA_VERSION_MAJOR,
          ONIGURUMA_VERSION_MINOR,
          ONIGURUMA_VERSION_TEENY);
  return s;
}

extern const char*
onig_copyright(void)
{
  static char s[58];

  sprintf(s, "Oniguruma %d.%d.%d : Copyright (C) 2002-2004 K.Kosako",
          ONIGURUMA_VERSION_MAJOR,
          ONIGURUMA_VERSION_MINOR,
          ONIGURUMA_VERSION_TEENY);
  return s;
}
